#include <dk.h>

#include <stdio.h>
#if DK_HAVE_STDLIB_H
#include <stdlib.h>
#endif

#include <dkapp.h>

static int exval = 1;

static dk_app_t *app = NULL;

static char groupname[] = { "testprog" };

int main(int argc, char *argv[])
{
  app = dkapp_open_ext1(argc, argv, groupname, DK_SYSCONFDIR, 0, 0);
  if(app) {
    printf("Hello world!\n");
    printf("Goodbye world!\n");
    exval = 0;
    dkapp_close(app); app = NULL;
  } else {
    /* ERROR: Failed to open application. */
  }
  exit(exval);
  return exval;
}


